summaryrefslogtreecommitdiff
path: root/sql-bench/test-insert.sh
diff options
context:
space:
mode:
authorunknown <monty@donna.mysql.com>2000-10-17 23:57:26 +0300
committerunknown <monty@donna.mysql.com>2000-10-17 23:57:26 +0300
commitae687f81506b4021fe6f0b6743d749be1bf43456 (patch)
treeeb0ea06c5f8bc368cbf64d32b74a6249d38c9530 /sql-bench/test-insert.sh
parent2ad8320b97ec7e4068a02e91169f4851e9d3f10f (diff)
downloadmariadb-git-ae687f81506b4021fe6f0b6743d749be1bf43456.tar.gz
Fixed benchmarks and compare of NULL with <>
Docs/manual.texi: Update for release include/config-win.h: Fixed typo sql-bench/test-insert.sh: Fixed that the new tests works with --fast sql/item_cmpfunc.cc: Fix of NULL values with '<>'
Diffstat (limited to 'sql-bench/test-insert.sh')
-rwxr-xr-xsql-bench/test-insert.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/sql-bench/test-insert.sh b/sql-bench/test-insert.sh
index a6161781ba9..e6690b043f1 100755
--- a/sql-bench/test-insert.sh
+++ b/sql-bench/test-insert.sh
@@ -867,6 +867,10 @@ if ($server->small_rollback_segment())
if ($limits->{'insert_select'})
{
+ if ($opt_lock_tables)
+ {
+ $sth = $dbh->do("UNLOCK TABLES") || die $DBI::errstr;
+ }
print "\nTesting INSERT INTO ... SELECT\n";
do_many($dbh,$server->create("bench2",
["id int NOT NULL",
@@ -911,6 +915,10 @@ if ($limits->{'insert_select'})
$dbh->disconnect; # close connection
$dbh = $server->connect();
}
+ if ($opt_lock_tables)
+ {
+ $sth = $dbh->do("LOCK TABLES bench1 WRITE") || die $DBI::errstr;
+ }
}